Package org.kapott.hbci.concurrent

## Class DefaultHBCIPassportFactory

- java.lang.Object
- - org.kapott.hbci.concurrent.DefaultHBCIPassportFactory

All Implemented Interfaces:
  `HBCIPassportFactory`

    public class DefaultHBCIPassportFactory
    extends java.lang.Object
    implements HBCIPassportFactory

Standard-Implementierung, die das Passport über `AbstractHBCIPassport.getInstance(String, Object)` erzeugt.

Author:
  Hendrik Schnepel

### Constructor Summary

Constructors
`DefaultHBCIPassportFactory​(java.lang.Object init)`
`DefaultHBCIPassportFactory​(java.lang.String name)`
`DefaultHBCIPassportFactory​(java.lang.String name, java.lang.Object init)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HBCIPassport` `createPassport()` Gibt ein neues Passport entsprechend der Implementierung zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHBCIPassportFactory

    public DefaultHBCIPassportFactory​(java.lang.String name)

#### DefaultHBCIPassportFactory

    public DefaultHBCIPassportFactory​(java.lang.Object init)

#### DefaultHBCIPassportFactory

    public DefaultHBCIPassportFactory​(java.lang.String name,
                                      java.lang.Object init)

### Method Detail

#### createPassport

    public HBCIPassport createPassport()
                                throws java.lang.Exception

Description copied from interface: `HBCIPassportFactory`
Gibt ein neues Passport entsprechend der Implementierung zurück.

Specified by:
  `createPassport` in interface `HBCIPassportFactory`
Throws:
  `java.lang.Exception`